'use strict';

var acForm = $('#edit-arrowcount-form'),
  input = acForm.find('#id_count');

function arrowCountUpdateAjax() {
  $.ajax({
    url: acForm.attr('data-update-ajax'),
    data: acForm.serialize(),
    method: 'POST',
    success: function(e) {
      if(!e.success) {
        M.toast({html: gettext('Error while updating') + ': ' + e.error})
      }
    }
  });
}

$('.count-up').click(function() {
  var count = parseInt(input.val(), 10);
  if(!isNaN(count) && count >= 0) {
    input.val(count + 1);
    arrowCountUpdateAjax();
  }
});

$('.count-down').click(function() {
  var count = parseInt(input.val(), 10);
  if(!isNaN(count) && count > 0) {
    input.val(count - 1);
    arrowCountUpdateAjax();
  }
});
